Page MenuHomePhabricator

revlogv2: track pending write in the docket and expose it to hooks
ClosedPublic

Authored by marmoute on May 3 2021, 7:55 AM.

Details

Summary

The docket is now able to write pending data. We could have used a distinct
intermediate files, however keeping everything in the same file will make it
simpler to keep track of the various involved files if necessary.

However it might prove more complicated for streaming clone. This will be dealt
with later.

Note that we lifted the stderr redirection in the test since we no longer suffer
from "unkown working directory parent" message.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.May 3 2021, 7:55 AM
baymax updated this revision to Diff 27474.May 3 2021, 9:32 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute updated this revision to Diff 27546.May 4 2021, 10:13 AM
baymax updated this revision to Diff 27877.May 11 2021, 1:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.May 17 2021, 5:48 PM
This revision is now accepted and ready to land.May 17 2021, 5:48 PM